#define F_CPU 16000000UL

#include <stdio.h>
#include <string.h>
#include <stdlib.h>	
#include <avr/io.h>
#include <avr/iom32.h>
#include <avr/eeprom.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "LCD_4x16.h"
#include "dos.h"			
#include "fat.h"			
#include "dosdefs.h"						
#include "mmc_spi.h"
#include "find_x.h"


int main (void)
{


DDRB = (1 << DDB4) | (1 << DDB5) | (0 << DDB6) | (1 << DDB7); 
DDRC = 0xFF;		//	alle Pins von Port C auf Ausgabe

	lcd_init(_2LINE,_7DOT);		//	zweireihiges Display, 7 Pixel Zeichenhhe
	clrscr();
	home();
	put_lcd_xy(5,0, "Pause");
	_delay_ms(5000);
	put_lcd_xy(5,0, "Pause vorbei!");
	clrscr();
	home();
	MMC_IO_Init();
	
	             
	if(GetDriveInformation()==F_ERROR1) // get drive parameters
	{
		put_lcd_xy(0,0, "keine Antwort");   
	}
	else {
		put_lcd_xy(5,0, "keine Fehler");
	}

} //end main()